WB(1)

NAME
wb - command-line interface to Wikibase

SYNOPSIS
wb [options] [command]

DESCRIPTION
A command-line interface to Wikibase

OPTIONS

-V, --version
    output the version number

-h, --help
    display help for command

  Commands:

add-alias|aa [entity] [language] [aliases]
    add one or several aliases to the list of aliases of an entity in a given language

add-claim|ac [entity] [property] [value]
    add a claim to an entity

add-qualifier|aq [claim-guid] [property] [value]
    add a qualifier to a claim

add-reference|ar [claim-guid] [property] [value]
    add a reference to a claim

aliases|a [entity]
    display the entity's aliases

claims|c [entity] [property]
    display the claims of an entity

config [key] [value]
    get and set configuration parameters

convert []
    convert batches of external ids to Wikidata ids and vice versa

create-entity|ce [data]
    Create a new entity

data|d [entity]
    output the entity's data

delete-entity|de [id]
    Delete an entity

description|desc [entity]
    display the entity's description

edit-entity|ee [data]
    Edit an existing entity

generate-template|gt [entity]
    output the pre-formatted item's data optimized for edition with `wd edit-item`

hub|h [query]
    Open a web page using the Hub, see documentation: https://tools.wmflabs.org/hub/

id [title]
    get a Wikidata id from a Wikipedia article title

label|l [entity]
    display the entity's label

lang [code]
    identify language code and return associated data

lemma [lexeme]
    display the lexeme's lemma

merge-entity|me [from-id] [to-id]
    Merge an entity into another

move-claim|mc [guid|property-claims-id] [target-entity-id] [target-property-id]
    move claims from an entity to another and/or from a property to another

move-qualifier|mq [guid] [hash] [old-property-id] [new-property-id]
    move qualifiers of a claim from one property to another

open|o [entity]
    open the entity's page on Wikidata website

props|p
    output the list of all Wikidata properties

query|q []
    generate and run a simple SPARQL query by passing a statement's subject, property, or object, or a couple of those

remove-alias|ra [entity] [language] [aliases]
    remove one or several aliases from the list of aliases of an entity in a given language

remove-claim|rc [guids]
    remove claims by their GUIDs

remove-qualifier|rq [claim-guid] [qualifiers-hashes]
    remove qualifiers from a claim

remove-reference|rr [claim-guid] [references-hashes]
    remove references from a claim

revisions|r [entity]
    output the entity's revisions data

search|f [search]
    search entities

set-alias|sa [entity] [language] [aliases]
    set the list of aliases of an entity in a given language

set-description|sd [entity] [language] [description]
    set a description on an entity in a given language

set-label|sl [entity] [language] [label]
    set a label on an entity in a given language

sparql|s [file.rq]
    run a SPARQL query and get its JSON output

summary|u [entity]
    display basic information on the requested entity

update-claim|uc [guid] [new-value]
    update a claim's value

update-qualifier|uq [claim-guid] [property] [old-value] [new-value]
    update a qualifier from an existing value to a new value

help [command]
    display help for command